unit u_const;

interface

uses zglHeader;

const
  // GAMESTATE
  gs_game = 0;
  gs_choose = 1;
  gs_die = 2;


  sX = 640;
  sY = 480;

  bt_none = 0;
  bt_wall = 1;
  bt_badwall = 2;
  bt_eat = 3;
  bt_wizard = 4;
  bt_sleepwall = 5;
  bt_enetgizer = 6;

  item_size = 16;

  player_lives = 5;
  player_speed = 0.004;
  ghost_speed = 0.004;

  portal_none = 0;
  portal_opened = 1;

  portal_counter = 800;
  portal_speed = 0.02;
  portals_count = 6;

  say_time = 1000;
  scare_time = 8000;
  test_time = 200;
  out_time = 2000;

  message_time = 2200;

  wzrds_count = 16;

  ghosts_count = 4;

  die_count = 2;

  gss_go = 0;
  gss_eaten = 1;
  gss_back = 2;

  pid_blinky = 1;
  pid_speedy = 2;
  pid_bashful = 3;
  pid_pokey = 4;

  playspeed_max = 0.10;
  playspeed_inc = 0.01;


var
   Diffs:array[1..3] of Single = (0.5, 0.7, 0.8); 
   DiffNames:array[1..3] of string =('','','');
   PortSay:array[0..1] of string = ('!', 'Wee~');
   Wizards:array[1..wzrds_count] of record Text:string; Times:Integer; CallId:boolean; snd:zglPsound; end = (
      (Text:'     !';Times:2),
      (Text:'    ';Times:1;CallId:true),
      (Text:'  ,     ';Times:2;CallId:true),
      (Text:'     ';Times:2;CallId:true),
      (Text:'  ';Times:1),
      (Text:'!  ,   !';Times:2;CallId:true),
      (Text:'       ';Times:2;CallId:true),
      (Text:'  ,   ,  ';Times:3;CallId:true),
      (Text:'   ,       ';Times:2;CallId:true),
      (Text:'   -    ';Times:2;CallId:true),
      (Text:'     :   ';Times:2;CallId:true),
      (Text:'   ,         ';Times:3;CallId:true),
      (Text:'       (  )';Times:3;CallId:true),
      (Text:'      (  )';Times:3;CallId:true),
      (Text:'   ';Times:1),
      (Text:'!';Times:2)
    );
    WizardId:integer=0;

    DieTime:array[0..die_count-1] of Integer = (
      2000,2000
    );

implementation

end.
